<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    >

    <data>

        <variable
            name="vm"
            type="contatinhos.viewmodel.ViewModelCharacters"
            />

        <variable
            name="fetch"
            type="contatinhos.viewmodel.Action.Fetch"
            />
    </data>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/amber_50"
        >

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            >

            <custom.RecyclerAdaptView
                android:id="@+id/recycler"
                isVisible="@{vm.viewState.isSuccess}"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                app:layout_constraintBottom_toTopOf="@+id/nav"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:listitem="@layout/list_item"
                />

            <com.google.android.material.bottomnavigation.BottomNavigationView
                android:id="@+id/nav"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:background="@color/white"
                app:layout_constraintBottom_toBottomOf="parent"
                app:menu="@menu/pages"
                />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <ProgressBar
            android:id="@+id/contatinho_progress_bar"
            style="?android:attr/progressBarStyle"
            isVisible="@{vm.viewState.isLoading}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            />

    </FrameLayout>

</layout>